#!/usr/bin/env bash
# To use an OpenStack cloud you need to authenticate against the Identity
# service named keystone, which returns a **Token** and **Service Catalog**.
# The catalog contains the endpoints for all services the user/tenant has
# access to - such as Compute, Image Service, Identity, Object Storage, Block
# Storage, and Networking (code-named nova, glance, keystone, swift,
# cinder, and neutron).
#
# *NOTE*: Using the 3 *Identity API* does not necessarily mean any other
# OpenStack API is version 3. For example, your cloud provider may implement
# Image API v1.1, Block Storage API v2, and Compute API v2.0. OS_AUTH_URL is
# only for the Identity API served through keystone.
export TF_AUTH_URL=http://ruffner.rc.uab.edu:5000/v3
# With the addition of Keystone we have standardized on the term **project**
# as the entity that owns the resources.
export TF_PROJECT_ID=0ca4141447e6411e9f080735877bbedb
export TF_PROJECT_NAME="rrand11"
export TF_USER_DOMAIN_NAME="default"
if [ -z "$TF_USER_DOMAIN_NAME" ]; then unset OS_USER_DOMAIN_NAME; fi
export TF_PROJECT_DOMAIN_ID="117b73e010fd4555803d336adbc9551c"
if [ -z "$TF_PROJECT_DOMAIN_ID" ]; then unset OS_PROJECT_DOMAIN_ID; fi
# unset v2.0 items in case set
unset OS_TENANT_ID
unset OS_TENANT_NAME
# In addition to the owning entity (tenant), OpenStack stores the entity
# performing the action as the **user**.
export TF_USERNAME="rrand11"
# With Keystone you pass the keystone password.
echo "Please enter your OpenStack Password for project $OS_PROJECT_NAME as user $OS_USERNAME: "
read -sr OS_PASSWORD_INPUT
export TF_PASSWORD=$OS_PASSWORD_INPUT
# If your configuration has multiple regions, we set that information here.
# OS_REGION_NAME is optional and only valid in certain environments.
export TF_REGION_NAME="openstack"
# Don't leave a blank variable, unset it if it was empty
if [ -z "$OS_REGION_NAME" ]; then unset OS_REGION_NAME; fi
export TF_INTERFACE=public
export TF_IDENTITY_API_VERSION=3
